import Vue from 'vue'
import App from '@/App'
import store from '@/store'

Vue.config.productionTip = false
Vue.config.silent = true

openerp.eiru_pos = (instance, local) => {

    local.PosWidget = instance.Widget.extend({
        start() {
            this.vm = new Vue({
                store,
                el: this.el,
                template: '<App />',
                components: { 
                    App
                }
            });
        },
        destroy() {
            this.vm.$destroy()
            $(this.vm.$el).remove()
            this.vm = null
        }
    })

    instance.web.client_actions.add('eiru_pos.action_launch', 'instance.eiru_pos.PosWidget')
}