const state = {
    products: [],
    selectedProducts: []
}

const getters = {
    getProducts (state) {
        return state.products
    },
    hasSelectedProducts (state) {
        return state.selectedProducts.length !== 0
    }
}

const mutations = {
    fetchProducts (state) {

    },
    selectProducts (state, payload) {
        state.selectedProducts = []

        payload.products.forEach(item => {
            state.products.push(item)
        });
    }
}

const actions = {
    fetchProducts ({ commit }) {

    },
    selectProducts({ commit }, payload) {
        commit('selectProducts', payload)
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}

console.log(openerp)